import { b as buttonStyles } from "./Button.module.js";
import { a as jsxs } from "./jsx-runtime.js";
const Button = ({
  ariaLabel,
  type,
  icon,
  disabled,
  label,
  className,
  onClick
}) => {
  return jsxs("button", {
    "aria-label": ariaLabel,
    type,
    disabled,
    className: `${buttonStyles.button} ${className ? className : ""}`,
    onClick,
    children: [icon, label]
  });
};
export { Button as B };
