var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
import { N as NavLink, C as Chevron, R as RouteFallback, c as Routes, d as Route } from "./index4.js";
import { v, h, s as d, l as React, U as _, Z as SortOrder, m, y, z as F, L } from "./index.js";
import { _ as _inheritsLoose, a as _extends, t as infiniteQueryBehavior, v as hasNextPage, w as hasPreviousPage, x as QueryObserver, y as useBaseQuery, z as parseQueryArgs, e as useEnvironment, q as useMsal, B as useGraphQLClient, C as getAccessToken, j as useQuery, i as useGraphQLRequest, f as useBreakpoint, A as ActivityIndicator } from "./chevron-right.js";
import { u as useStickySectionTitles, L as List } from "./index17.js";
import { S as SvgShops } from "./shops.js";
import { j as jsx, a as jsxs, u as useTranslation, F as Fragment } from "./jsx-runtime.js";
import { u as useFormatPriceAmount, E as EmptyState } from "./index15.js";
import { r as requiredArgs, b as toDate, f as format, P as ProfilePage } from "./index9.js";
import { u as useLocale } from "./index7.js";
import { p as parseISO, f as formatDate } from "./index10.js";
var InfiniteQueryObserver = /* @__PURE__ */ function(_QueryObserver) {
  _inheritsLoose(InfiniteQueryObserver2, _QueryObserver);
  function InfiniteQueryObserver2(client, options) {
    return _QueryObserver.call(this, client, options) || this;
  }
  var _proto = InfiniteQueryObserver2.prototype;
  _proto.bindMethods = function bindMethods() {
    _QueryObserver.prototype.bindMethods.call(this);
    this.fetchNextPage = this.fetchNextPage.bind(this);
    this.fetchPreviousPage = this.fetchPreviousPage.bind(this);
  };
  _proto.setOptions = function setOptions(options, notifyOptions) {
    _QueryObserver.prototype.setOptions.call(this, _extends({}, options, {
      behavior: infiniteQueryBehavior()
    }), notifyOptions);
  };
  _proto.getOptimisticResult = function getOptimisticResult(options) {
    options.behavior = infiniteQueryBehavior();
    return _QueryObserver.prototype.getOptimisticResult.call(this, options);
  };
  _proto.fetchNextPage = function fetchNextPage(options) {
    var _options$cancelRefetc;
    return this.fetch({
      cancelRefetch: (_options$cancelRefetc = options == null ? void 0 : options.cancelRefetch) != null ? _options$cancelRefetc : true,
      throwOnError: options == null ? void 0 : options.throwOnError,
      meta: {
        fetchMore: {
          direction: "forward",
          pageParam: options == null ? void 0 : options.pageParam
        }
      }
    });
  };
  _proto.fetchPreviousPage = function fetchPreviousPage(options) {
    var _options$cancelRefetc2;
    return this.fetch({
      cancelRefetch: (_options$cancelRefetc2 = options == null ? void 0 : options.cancelRefetch) != null ? _options$cancelRefetc2 : true,
      throwOnError: options == null ? void 0 : options.throwOnError,
      meta: {
        fetchMore: {
          direction: "backward",
          pageParam: options == null ? void 0 : options.pageParam
        }
      }
    });
  };
  _proto.createResult = function createResult(query, options) {
    var _state$data, _state$data2, _state$fetchMeta, _state$fetchMeta$fetc, _state$fetchMeta2, _state$fetchMeta2$fet;
    var state = query.state;
    var result = _QueryObserver.prototype.createResult.call(this, query, options);
    return _extends({}, result, {
      fetchNextPage: this.fetchNextPage,
      fetchPreviousPage: this.fetchPreviousPage,
      hasNextPage: hasNextPage(options, (_state$data = state.data) == null ? void 0 : _state$data.pages),
      hasPreviousPage: hasPreviousPage(options, (_state$data2 = state.data) == null ? void 0 : _state$data2.pages),
      isFetchingNextPage: state.isFetching && ((_state$fetchMeta = state.fetchMeta) == null ? void 0 : (_state$fetchMeta$fetc = _state$fetchMeta.fetchMore) == null ? void 0 : _state$fetchMeta$fetc.direction) === "forward",
      isFetchingPreviousPage: state.isFetching && ((_state$fetchMeta2 = state.fetchMeta) == null ? void 0 : (_state$fetchMeta2$fet = _state$fetchMeta2.fetchMore) == null ? void 0 : _state$fetchMeta2$fet.direction) === "backward"
    });
  };
  return InfiniteQueryObserver2;
}(QueryObserver);
function useInfiniteQuery(arg1, arg2, arg3) {
  var options = parseQueryArgs(arg1, arg2, arg3);
  return useBaseQuery(options, InfiniteQueryObserver);
}
function isSameYear(dirtyDateLeft, dirtyDateRight) {
  requiredArgs(2, arguments);
  var dateLeft = toDate(dirtyDateLeft);
  var dateRight = toDate(dirtyDateRight);
  return dateLeft.getFullYear() === dateRight.getFullYear();
}
function isThisYear(dirtyDate) {
  requiredArgs(1, arguments);
  return isSameYear(dirtyDate, Date.now());
}
const SvgPromos = (props) => /* @__PURE__ */ v("svg", __spreadValues({
  width: 193,
  height: 164,
  viewBox: "0 0 193 164",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), /* @__PURE__ */ v("path", {
  d: "M74.0852 25.7306C95.4101 28.0174 118.084 34.0995 137.659 42.8639C141.703 44.6745 144.878 47.3408 146.908 50.8744C149.005 54.5271 149.692 58.783 149.133 63.3808C146.564 84.5002 140.587 106.827 132.335 126.437C130.533 130.72 127.816 134.075 124.171 136.191C120.645 138.237 116.554 138.948 112.135 138.474C90.8093 136.188 68.1347 130.105 48.5592 121.341C44.5151 119.53 41.3391 116.864 39.3098 113.33C37.2119 109.677 36.5253 105.42 37.085 100.821C39.6556 79.7022 45.6321 57.3747 53.8858 37.7658C55.6881 33.484 58.4048 30.1294 62.0491 28.0141C65.5752 25.9673 69.6664 25.2567 74.0852 25.7306Z",
  fill: "#009A8E"
}), /* @__PURE__ */ v("path", {
  d: "M73.0454 26.0883C96.2465 28.0056 121.053 34.6525 142.105 44.593C146.159 46.5075 149.353 49.2545 151.426 52.845C153.499 56.4353 154.281 60.5745 153.912 65.0425C151.996 88.2441 145.348 113.051 135.409 134.103C133.494 138.158 130.747 141.353 127.156 143.426C123.566 145.499 119.426 146.281 114.958 145.912C91.7557 143.995 66.9481 137.347 45.8959 127.407C41.8413 125.493 38.6471 122.746 36.574 119.155C34.5008 115.564 33.7188 111.424 34.0883 106.955C36.0067 83.7532 42.6534 58.9458 52.5948 37.8945C54.5092 33.8406 57.2561 30.6469 60.8464 28.5741C64.4371 26.501 68.5768 25.719 73.0454 26.0883Z",
  fill: "#009A8E"
}), /* @__PURE__ */ v("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M167.457 48.1303C167.002 46.8971 166.445 45.7043 165.782 44.5563C165.12 43.4083 164.365 42.3292 163.524 41.3189L165.515 39.6622C166.449 40.7843 167.288 41.9842 168.025 43.2613C168.763 44.5383 169.382 45.8649 169.887 47.2345L167.457 48.1303ZM157.591 36.1454L158.985 33.9623C157.799 33.2052 156.547 32.5181 155.237 31.8993C153.534 31.0951 151.812 30.3082 150.073 29.539L149.025 31.9077C150.745 32.6684 152.448 33.4464 154.131 34.2413C155.348 34.8159 156.503 35.4505 157.591 36.1454ZM138.653 27.6104L139.589 25.1954C136.082 23.8367 132.523 22.5483 128.924 21.3335L128.096 23.7875C131.659 24.9903 135.183 26.2658 138.653 27.6104ZM117.384 20.4251L118.107 17.9381C114.479 16.8836 110.825 15.9044 107.156 15.0039L106.539 17.5192C110.172 18.4111 113.791 19.3808 117.384 20.4251ZM95.5804 15.0748L96.09 12.5355C92.366 11.7881 88.6395 11.1243 84.9237 10.5478L84.5266 13.1072C88.2041 13.6778 91.8931 14.3348 95.5804 15.0748ZM73.3953 11.6424L73.6724 9.0673C71.7817 8.86382 69.897 8.68428 68.0201 8.52917C66.5757 8.4098 65.1482 8.37908 63.7426 8.44177L63.858 11.0292C65.148 10.9717 66.4656 10.9995 67.8068 11.1104C69.662 11.2637 71.5254 11.4412 73.3953 11.6424ZM56.1325 12.5429L55.2367 10.1127C53.8669 10.6176 52.5402 11.2372 51.2631 11.9746C49.9861 12.7119 48.7862 13.5509 47.6642 14.4846L49.3209 16.4755C50.3311 15.6348 51.4101 14.8804 52.558 14.2176C53.7061 13.5548 54.8992 12.9975 56.1325 12.5429ZM44.1476 22.4083L41.9646 21.0145C41.2075 22.2003 40.5204 23.4517 39.9015 24.7621C39.0973 26.4651 38.3104 28.187 37.5411 29.9262L39.9097 30.9739C40.6705 29.2539 41.4486 27.5514 42.2435 25.8681C42.8181 24.6513 43.4528 23.4965 44.1476 22.4083ZM35.6121 41.3463C34.2674 44.8165 32.9918 48.3397 31.7889 51.9031L29.335 51.0747C30.5499 47.4759 31.8384 43.9168 33.1971 40.4104L35.6121 41.3463ZM28.4264 62.6157L25.9393 61.8927C24.8848 65.5202 23.9056 69.1746 23.005 72.8433L25.5203 73.4608C26.4122 69.8274 27.382 66.2082 28.4264 62.6157ZM23.0757 84.4193L20.5364 83.9096C19.7889 87.6337 19.1251 91.3602 18.5485 95.0761L21.1078 95.4733C21.6785 91.7957 22.3357 88.1067 23.0757 84.4193ZM19.6427 106.605L17.0676 106.328C16.8641 108.218 16.6845 110.103 16.5293 111.98C16.4098 113.424 16.379 114.852 16.4417 116.258L19.0291 116.143C18.9716 114.852 18.9996 113.535 19.1105 112.193C19.2639 110.338 19.4414 108.475 19.6427 106.605ZM20.5428 123.869L18.1126 124.764C18.6175 126.134 19.2371 127.461 19.9746 128.739C20.7119 130.016 21.5511 131.216 22.485 132.338L24.4758 130.681C23.635 129.671 22.8804 128.592 22.2176 127.444C21.5547 126.295 20.9974 125.102 20.5428 123.869ZM30.4095 135.855L29.0159 138.038C30.2019 138.795 31.4535 139.482 32.7641 140.101C34.4671 140.905 36.1891 141.692 37.9284 142.461L38.9759 140.092C37.2559 139.332 35.5533 138.554 33.8699 137.759C32.6529 137.184 31.498 136.55 30.4095 135.855ZM49.3486 144.39L48.4128 146.805C51.9193 148.163 55.4784 149.452 59.0774 150.667L59.9057 148.213C56.3422 147.01 52.8189 145.734 49.3486 144.39ZM70.6184 151.575L69.8955 154.062C73.523 155.117 77.1775 156.096 80.8463 156.996L81.4637 154.481C77.8303 153.589 74.211 152.619 70.6184 151.575ZM92.4224 156.925L91.9128 159.465C95.637 160.212 99.3636 160.876 103.08 161.452L103.477 158.893C99.7989 158.322 96.1099 157.665 92.4224 156.925ZM114.608 160.358L114.331 162.933C116.222 163.136 118.107 163.316 119.984 163.471C121.428 163.59 122.856 163.621 124.261 163.558L124.146 160.971C122.856 161.028 121.538 161.001 120.197 160.89C118.342 160.736 116.478 160.559 114.608 160.358ZM131.871 159.457L132.767 161.887C134.136 161.382 135.463 160.763 136.74 160.025C138.018 159.288 139.218 158.449 140.34 157.515L138.683 155.524C137.673 156.365 136.593 157.12 135.445 157.782C134.297 158.445 133.104 159.003 131.871 159.457ZM143.857 149.59L146.04 150.983C146.797 149.797 147.484 148.546 148.103 147.235C148.907 145.532 149.694 143.81 150.463 142.071L148.094 141.023C147.334 142.743 146.556 144.446 145.761 146.129C145.187 147.346 144.552 148.501 143.857 149.59ZM152.391 130.65L154.806 131.586C156.165 128.08 157.453 124.521 158.668 120.922L156.214 120.094C155.011 123.657 153.736 127.18 152.391 130.65ZM159.576 109.381L162.063 110.104C163.118 106.476 164.097 102.822 164.997 99.1532L162.482 98.5358C161.59 102.169 160.621 105.788 159.576 109.381ZM164.926 87.5773L167.466 88.0869C168.213 84.3628 168.877 80.6362 169.453 76.9203L166.894 76.5233C166.323 80.2009 165.666 83.8899 164.926 87.5773ZM168.358 65.3918L170.933 65.6688C171.137 63.778 171.316 61.8933 171.471 60.0164C171.59 58.5721 171.621 57.1448 171.558 55.7393L168.971 55.8548C169.028 57.1447 169.001 58.4621 168.89 59.8032C168.737 61.6584 168.559 63.5219 168.358 65.3918Z",
  fill: "#19B3A8"
}), /* @__PURE__ */ v("g", {
  filter: "url(#filter0_d_19_1708)"
}, /* @__PURE__ */ v("path", {
  d: "M56.136 95.4501C54.3013 90.2409 48.5872 87.4939 43.3731 89.3145L15.2717 99.1268C10.0576 100.947 7.31793 106.646 9.15255 111.856L21.2114 146.095C23.046 151.305 28.7602 154.052 33.9743 152.231L62.0757 142.419C67.2898 140.598 70.0294 134.899 68.1948 129.69L56.136 95.4501Z",
  fill: "#F8F8FC"
})), /* @__PURE__ */ v("path", {
  d: "M40.1647 109.23C40.2239 108.039 39.6773 106.899 38.7118 106.2L36.1153 127.792L39.0946 130.744L40.1647 109.23Z",
  fill: "#00AB9E"
}), /* @__PURE__ */ v("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M39.8297 121.989L39.7505 131.235C39.727 133.978 37.4845 136.184 34.7411 136.16C31.9976 136.137 29.7932 133.893 29.8167 131.15C29.8402 128.407 32.0827 126.201 34.8261 126.225C35.6873 126.232 36.4953 126.458 37.1979 126.85L37.2397 121.967L39.8297 121.989ZM37.1606 131.213C37.1718 129.899 36.1164 128.826 34.804 128.815C33.4915 128.803 32.4178 129.859 32.4066 131.172C32.3954 132.486 33.4508 133.559 34.7632 133.571C36.0757 133.582 37.1494 132.527 37.1606 131.213Z",
  fill: "#00AB9E"
}), /* @__PURE__ */ v("path", {
  d: "M29.3792 113.052C28.5834 112.164 28.2904 110.934 28.6004 109.783L44.212 124.923L43.7551 129.093L29.3792 113.052Z",
  fill: "#00AB9E"
}), /* @__PURE__ */ v("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M37.6726 122.754L43.555 129.887C45.3006 132.004 48.4318 132.305 50.5487 130.56C52.6655 128.814 52.9665 125.683 51.2209 123.566C49.4753 121.449 46.3441 121.148 44.2273 122.894C43.5626 123.442 43.077 124.127 42.7775 124.873L39.6708 121.106L37.6726 122.754ZM45.5533 128.24C44.7177 127.226 44.8618 125.728 45.875 124.892C46.8883 124.056 48.3871 124.2 49.2227 125.214C50.0582 126.227 49.9142 127.726 48.9009 128.561C47.8876 129.397 46.3888 129.253 45.5533 128.24Z",
  fill: "#00AB9E"
}), /* @__PURE__ */ v("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M73.0843 108.084L117.084 64.0843L118.916 65.9157L74.9157 109.916L73.0843 108.084Z",
  fill: "#C9EEED"
}), /* @__PURE__ */ v("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M112 109.44C115.557 109.44 118.44 106.557 118.44 103C118.44 99.4433 115.557 96.56 112 96.56C108.443 96.56 105.56 99.4433 105.56 103C105.56 106.557 108.443 109.44 112 109.44ZM112 112C116.971 112 121 107.971 121 103C121 98.0294 116.971 94 112 94C107.029 94 103 98.0294 103 103C103 107.971 107.029 112 112 112Z",
  fill: "#19B3A8"
}), /* @__PURE__ */ v("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M80 77.44C83.5567 77.44 86.44 74.5567 86.44 71C86.44 67.4433 83.5567 64.56 80 64.56C76.4433 64.56 73.56 67.4433 73.56 71C73.56 74.5567 76.4433 77.44 80 77.44ZM80 80C84.9706 80 89 75.9706 89 71C89 66.0294 84.9706 62 80 62C75.0294 62 71 66.0294 71 71C71 75.9706 75.0294 80 80 80Z",
  fill: "#19B3A8"
}), /* @__PURE__ */ v("g", {
  filter: "url(#filter1_d_19_1708)"
}, /* @__PURE__ */ v("path", {
  d: "M183.984 55.1583C186.202 50.1003 183.892 44.219 178.825 42.022L160.481 34.0684C155.414 31.8714 149.508 34.1908 147.291 39.2488L137.658 61.2182C135.44 66.2762 137.75 72.1576 142.817 74.3545L161.161 82.3082C166.229 84.5051 172.134 82.1858 174.352 77.1278L183.984 55.1583Z",
  fill: "#F8F8FC"
})), /* @__PURE__ */ v("path", {
  d: "M165 50H157C154.239 50 152 52.2386 152 55V63C152 65.7614 154.239 68 157 68H165C167.761 68 170 65.7614 170 63V55C170 52.2386 167.761 50 165 50Z",
  stroke: "#009A8E",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M161.001 58.258C161.001 55.906 162.634 54 164.648 54C165.515 54 166.218 54.703 166.218 55.57C166.218 57.464 163.881 59 160.999 59C158.117 59 155.78 57.465 155.78 55.57C155.78 54.703 156.483 54 157.351 54C159.365 54 160.998 55.906 160.998 58.258",
  stroke: "#009A8E",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M157 62.854C159.208 62.854 160.998 60.764 160.998 58.186L161.002 58.2C161.002 60.778 162.792 62.868 165 62.868",
  stroke: "#009A8E",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M161 50V68",
  stroke: "#009A8E",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("path", {
  d: "M170 59H152",
  stroke: "#009A8E",
  strokeWidth: 1.5,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), /* @__PURE__ */ v("defs", null, /* @__PURE__ */ v("filter", {
  id: "filter0_d_19_1708",
  x: 0.582458,
  y: 83.7523,
  width: 76.1824,
  height: 80.0408,
  filterUnits: "userSpaceOnUse",
  colorInterpolationFilters: "sRGB"
}, /* @__PURE__ */ v("feFlood", {
  floodOpacity: 0,
  result: "BackgroundImageFix"
}), /* @__PURE__ */ v("feColorMatrix", {
  in: "SourceAlpha",
  type: "matrix",
  values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0",
  result: "hardAlpha"
}), /* @__PURE__ */ v("feOffset", {
  dy: 3
}), /* @__PURE__ */ v("feGaussianBlur", {
  stdDeviation: 4
}), /* @__PURE__ */ v("feColorMatrix", {
  type: "matrix",
  values: "0 0 0 0 0.180392 0 0 0 0 0.231373 0 0 0 0 0.337255 0 0 0 0.1 0"
}), /* @__PURE__ */ v("feBlend", {
  mode: "normal",
  in2: "BackgroundImageFix",
  result: "effect1_dropShadow_19_1708"
}), /* @__PURE__ */ v("feBlend", {
  mode: "normal",
  in: "SourceGraphic",
  in2: "effect1_dropShadow_19_1708",
  result: "shape"
})), /* @__PURE__ */ v("filter", {
  id: "filter1_d_19_1708",
  x: 128.815,
  y: 28.2393,
  width: 64.0119,
  height: 65.898,
  filterUnits: "userSpaceOnUse",
  colorInterpolationFilters: "sRGB"
}, /* @__PURE__ */ v("feFlood", {
  floodOpacity: 0,
  result: "BackgroundImageFix"
}), /* @__PURE__ */ v("feColorMatrix", {
  in: "SourceAlpha",
  type: "matrix",
  values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0",
  result: "hardAlpha"
}), /* @__PURE__ */ v("feOffset", {
  dy: 3
}), /* @__PURE__ */ v("feGaussianBlur", {
  stdDeviation: 4
}), /* @__PURE__ */ v("feColorMatrix", {
  type: "matrix",
  values: "0 0 0 0 0.180392 0 0 0 0 0.231373 0 0 0 0 0.337255 0 0 0 0.1 0"
}), /* @__PURE__ */ v("feBlend", {
  mode: "normal",
  in2: "BackgroundImageFix",
  result: "effect1_dropShadow_19_1708"
}), /* @__PURE__ */ v("feBlend", {
  mode: "normal",
  in: "SourceGraphic",
  in2: "effect1_dropShadow_19_1708",
  result: "shape"
}))));
const sectionTitle = "_sectionTitle_2fw91_1";
const left$1 = "_left_2fw91_11";
var styles$2 = {
  sectionTitle,
  left: left$1
};
const tableRow = "_tableRow_1yn50_1";
const left = "_left_1yn50_27";
const right = "_right_1yn50_37";
var styles$1 = {
  tableRow,
  left,
  right
};
const useEqualWidth = (ref) => {
  d(() => {
    if (!ref.current)
      return;
    const children = [].slice.call(ref.current.children);
    children.forEach((child) => child.style.width = `calc(100% / ${children.length})`);
  }, [ref]);
};
const ListItem = ({
  asset,
  title,
  body,
  action,
  route
}) => {
  const ref = h(null);
  useEqualWidth(ref);
  return jsx("li", {
    class: styles$1.tableRow,
    children: jsxs(NavLink, {
      ref,
      to: route.href,
      onClick: (e) => e.currentTarget.blur(),
      "aria-label": route.ariaLabel,
      end: !!route.end,
      children: [jsxs("div", {
        class: styles$1.left,
        children: [asset, jsx("div", {
          class: styles$1.body,
          children: jsx("span", {
            children: title
          })
        })]
      }), body == null ? void 0 : body.map((text, i) => jsx("span", {
        children: text
      }, i)), jsx("div", {
        class: styles$1.right,
        children: action
      })]
    })
  });
};
const NavigationTable = ({
  className,
  ariaLabel,
  sections,
  shouldStickySectionTitle = false
}) => {
  const sectionTitles = h([]);
  useStickySectionTitles(shouldStickySectionTitle, sectionTitles.current);
  return jsx("ul", {
    class: className || "",
    "aria-label": ariaLabel,
    children: sections.map((section, i) => {
      if (!section.listItems.length)
        return;
      return jsx("li", {
        children: jsxs("nav", {
          "aria-label": section.ariaLabel,
          children: [section.title !== "" && section.listItems.length !== 0 && jsx("span", {
            ref: (element) => sectionTitles.current[i] = element,
            class: `${styles$2.sectionTitle} heading-5`,
            children: jsx("div", {
              class: styles$2.left,
              children: section.title
            })
          }), jsx("ul", {
            class: "list",
            children: section.listItems.map((_a, i2) => {
              var _b = _a, {
                asset,
                title,
                body,
                action
              } = _b, props = __objRest(_b, [
                "asset",
                "title",
                "body",
                "action"
              ]);
              return jsx(ListItem, {
                asset: asset || jsx(SvgShops, {}),
                title,
                body,
                action,
                variant: "link",
                route: props.route
              }, i2);
            })
          })]
        })
      }, i);
    })
  });
};
/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
var extendStatics = function(d2, b) {
  extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d3, b2) {
    d3.__proto__ = b2;
  } || function(d3, b2) {
    for (var p in b2)
      if (b2.hasOwnProperty(p))
        d3[p] = b2[p];
  };
  return extendStatics(d2, b);
};
function __extends(d2, b) {
  extendStatics(d2, b);
  function __() {
    this.constructor = d2;
  }
  d2.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}
var __assign = function() {
  __assign = Object.assign || function __assign2(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p))
          t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
function throttle(delay, noTrailing, callback, debounceMode) {
  var timeoutID;
  var cancelled = false;
  var lastExec = 0;
  function clearExistingTimeout() {
    if (timeoutID) {
      clearTimeout(timeoutID);
    }
  }
  function cancel() {
    clearExistingTimeout();
    cancelled = true;
  }
  if (typeof noTrailing !== "boolean") {
    debounceMode = callback;
    callback = noTrailing;
    noTrailing = void 0;
  }
  function wrapper() {
    var self = this;
    var elapsed = Date.now() - lastExec;
    var args = arguments;
    if (cancelled) {
      return;
    }
    function exec() {
      lastExec = Date.now();
      callback.apply(self, args);
    }
    function clear() {
      timeoutID = void 0;
    }
    if (debounceMode && !timeoutID) {
      exec();
    }
    clearExistingTimeout();
    if (debounceMode === void 0 && elapsed > delay) {
      exec();
    } else if (noTrailing !== true) {
      timeoutID = setTimeout(debounceMode ? clear : exec, debounceMode === void 0 ? delay - elapsed : delay);
    }
  }
  wrapper.cancel = cancel;
  return wrapper;
}
var ThresholdUnits = {
  Pixel: "Pixel",
  Percent: "Percent"
};
var defaultThreshold = {
  unit: ThresholdUnits.Percent,
  value: 0.8
};
function parseThreshold(scrollThreshold) {
  if (typeof scrollThreshold === "number") {
    return {
      unit: ThresholdUnits.Percent,
      value: scrollThreshold * 100
    };
  }
  if (typeof scrollThreshold === "string") {
    if (scrollThreshold.match(/^(\d*(\.\d+)?)px$/)) {
      return {
        unit: ThresholdUnits.Pixel,
        value: parseFloat(scrollThreshold)
      };
    }
    if (scrollThreshold.match(/^(\d*(\.\d+)?)%$/)) {
      return {
        unit: ThresholdUnits.Percent,
        value: parseFloat(scrollThreshold)
      };
    }
    console.warn('scrollThreshold format is invalid. Valid formats: "120px", "50%"...');
    return defaultThreshold;
  }
  console.warn("scrollThreshold should be string or number");
  return defaultThreshold;
}
var InfiniteScroll = function(_super) {
  __extends(InfiniteScroll2, _super);
  function InfiniteScroll2(props) {
    var _this = _super.call(this, props) || this;
    _this.lastScrollTop = 0;
    _this.actionTriggered = false;
    _this.startY = 0;
    _this.currentY = 0;
    _this.dragging = false;
    _this.maxPullDownDistance = 0;
    _this.getScrollableTarget = function() {
      if (_this.props.scrollableTarget instanceof HTMLElement)
        return _this.props.scrollableTarget;
      if (typeof _this.props.scrollableTarget === "string") {
        return document.getElementById(_this.props.scrollableTarget);
      }
      if (_this.props.scrollableTarget === null) {
        console.warn("You are trying to pass scrollableTarget but it is null. This might\n        happen because the element may not have been added to DOM yet.\n        See https://github.com/ankeetmaini/react-infinite-scroll-component/issues/59 for more info.\n      ");
      }
      return null;
    };
    _this.onStart = function(evt) {
      if (_this.lastScrollTop)
        return;
      _this.dragging = true;
      if (evt instanceof MouseEvent) {
        _this.startY = evt.pageY;
      } else if (evt instanceof TouchEvent) {
        _this.startY = evt.touches[0].pageY;
      }
      _this.currentY = _this.startY;
      if (_this._infScroll) {
        _this._infScroll.style.willChange = "transform";
        _this._infScroll.style.transition = "transform 0.2s cubic-bezier(0,0,0.31,1)";
      }
    };
    _this.onMove = function(evt) {
      if (!_this.dragging)
        return;
      if (evt instanceof MouseEvent) {
        _this.currentY = evt.pageY;
      } else if (evt instanceof TouchEvent) {
        _this.currentY = evt.touches[0].pageY;
      }
      if (_this.currentY < _this.startY)
        return;
      if (_this.currentY - _this.startY >= Number(_this.props.pullDownToRefreshThreshold)) {
        _this.setState({
          pullToRefreshThresholdBreached: true
        });
      }
      if (_this.currentY - _this.startY > _this.maxPullDownDistance * 1.5)
        return;
      if (_this._infScroll) {
        _this._infScroll.style.overflow = "visible";
        _this._infScroll.style.transform = "translate3d(0px, " + (_this.currentY - _this.startY) + "px, 0px)";
      }
    };
    _this.onEnd = function() {
      _this.startY = 0;
      _this.currentY = 0;
      _this.dragging = false;
      if (_this.state.pullToRefreshThresholdBreached) {
        _this.props.refreshFunction && _this.props.refreshFunction();
        _this.setState({
          pullToRefreshThresholdBreached: false
        });
      }
      requestAnimationFrame(function() {
        if (_this._infScroll) {
          _this._infScroll.style.overflow = "auto";
          _this._infScroll.style.transform = "none";
          _this._infScroll.style.willChange = "unset";
        }
      });
    };
    _this.onScrollListener = function(event) {
      if (typeof _this.props.onScroll === "function") {
        setTimeout(function() {
          return _this.props.onScroll && _this.props.onScroll(event);
        }, 0);
      }
      var target = _this.props.height || _this._scrollableNode ? event.target : document.documentElement.scrollTop ? document.documentElement : document.body;
      if (_this.actionTriggered)
        return;
      var atBottom = _this.props.inverse ? _this.isElementAtTop(target, _this.props.scrollThreshold) : _this.isElementAtBottom(target, _this.props.scrollThreshold);
      if (atBottom && _this.props.hasMore) {
        _this.actionTriggered = true;
        _this.setState({ showLoader: true });
        _this.props.next && _this.props.next();
      }
      _this.lastScrollTop = target.scrollTop;
    };
    _this.state = {
      showLoader: false,
      pullToRefreshThresholdBreached: false,
      prevDataLength: props.dataLength
    };
    _this.throttledOnScrollListener = throttle(150, _this.onScrollListener).bind(_this);
    _this.onStart = _this.onStart.bind(_this);
    _this.onMove = _this.onMove.bind(_this);
    _this.onEnd = _this.onEnd.bind(_this);
    return _this;
  }
  InfiniteScroll2.prototype.componentDidMount = function() {
    if (typeof this.props.dataLength === "undefined") {
      throw new Error('mandatory prop "dataLength" is missing. The prop is needed when loading more content. Check README.md for usage');
    }
    this._scrollableNode = this.getScrollableTarget();
    this.el = this.props.height ? this._infScroll : this._scrollableNode || window;
    if (this.el) {
      this.el.addEventListener("scroll", this.throttledOnScrollListener);
    }
    if (typeof this.props.initialScrollY === "number" && this.el && this.el instanceof HTMLElement && this.el.scrollHeight > this.props.initialScrollY) {
      this.el.scrollTo(0, this.props.initialScrollY);
    }
    if (this.props.pullDownToRefresh && this.el) {
      this.el.addEventListener("touchstart", this.onStart);
      this.el.addEventListener("touchmove", this.onMove);
      this.el.addEventListener("touchend", this.onEnd);
      this.el.addEventListener("mousedown", this.onStart);
      this.el.addEventListener("mousemove", this.onMove);
      this.el.addEventListener("mouseup", this.onEnd);
      this.maxPullDownDistance = this._pullDown && this._pullDown.firstChild && this._pullDown.firstChild.getBoundingClientRect().height || 0;
      this.forceUpdate();
      if (typeof this.props.refreshFunction !== "function") {
        throw new Error(`Mandatory prop "refreshFunction" missing.
          Pull Down To Refresh functionality will not work
          as expected. Check README.md for usage'`);
      }
    }
  };
  InfiniteScroll2.prototype.componentWillUnmount = function() {
    if (this.el) {
      this.el.removeEventListener("scroll", this.throttledOnScrollListener);
      if (this.props.pullDownToRefresh) {
        this.el.removeEventListener("touchstart", this.onStart);
        this.el.removeEventListener("touchmove", this.onMove);
        this.el.removeEventListener("touchend", this.onEnd);
        this.el.removeEventListener("mousedown", this.onStart);
        this.el.removeEventListener("mousemove", this.onMove);
        this.el.removeEventListener("mouseup", this.onEnd);
      }
    }
  };
  InfiniteScroll2.prototype.componentDidUpdate = function(prevProps) {
    if (this.props.dataLength === prevProps.dataLength)
      return;
    this.actionTriggered = false;
    this.setState({
      showLoader: false
    });
  };
  InfiniteScroll2.getDerivedStateFromProps = function(nextProps, prevState) {
    var dataLengthChanged = nextProps.dataLength !== prevState.prevDataLength;
    if (dataLengthChanged) {
      return __assign(__assign({}, prevState), { prevDataLength: nextProps.dataLength });
    }
    return null;
  };
  InfiniteScroll2.prototype.isElementAtTop = function(target, scrollThreshold) {
    if (scrollThreshold === void 0) {
      scrollThreshold = 0.8;
    }
    var clientHeight = target === document.body || target === document.documentElement ? window.screen.availHeight : target.clientHeight;
    var threshold = parseThreshold(scrollThreshold);
    if (threshold.unit === ThresholdUnits.Pixel) {
      return target.scrollTop <= threshold.value + clientHeight - target.scrollHeight + 1;
    }
    return target.scrollTop <= threshold.value / 100 + clientHeight - target.scrollHeight + 1;
  };
  InfiniteScroll2.prototype.isElementAtBottom = function(target, scrollThreshold) {
    if (scrollThreshold === void 0) {
      scrollThreshold = 0.8;
    }
    var clientHeight = target === document.body || target === document.documentElement ? window.screen.availHeight : target.clientHeight;
    var threshold = parseThreshold(scrollThreshold);
    if (threshold.unit === ThresholdUnits.Pixel) {
      return target.scrollTop + clientHeight >= target.scrollHeight - threshold.value;
    }
    return target.scrollTop + clientHeight >= threshold.value / 100 * target.scrollHeight;
  };
  InfiniteScroll2.prototype.render = function() {
    var _this = this;
    var style = __assign({ height: this.props.height || "auto", overflow: "auto", WebkitOverflowScrolling: "touch" }, this.props.style);
    var hasChildren = this.props.hasChildren || !!(this.props.children && this.props.children instanceof Array && this.props.children.length);
    var outerDivStyle = this.props.pullDownToRefresh && this.props.height ? { overflow: "auto" } : {};
    return React.createElement("div", { style: outerDivStyle, className: "infinite-scroll-component__outerdiv" }, React.createElement("div", { className: "infinite-scroll-component " + (this.props.className || ""), ref: function(infScroll) {
      return _this._infScroll = infScroll;
    }, style }, this.props.pullDownToRefresh && React.createElement("div", { style: { position: "relative" }, ref: function(pullDown) {
      return _this._pullDown = pullDown;
    } }, React.createElement("div", { style: {
      position: "absolute",
      left: 0,
      right: 0,
      top: -1 * this.maxPullDownDistance
    } }, this.state.pullToRefreshThresholdBreached ? this.props.releaseToRefreshContent : this.props.pullDownToRefreshContent)), this.props.children, !this.state.showLoader && !hasChildren && this.props.hasMore && this.props.loader, this.state.showLoader && this.props.hasMore && this.props.loader, !this.props.hasMore && this.props.endMessage));
  };
  return InfiniteScroll2;
}(_);
const getInfiniteQueryVariables = ({
  limit,
  sort,
  pageParam
}) => ({
  limit,
  offset: pageParam === 0 ? 0 : limit * pageParam + 1,
  sort: sort != null ? sort : SortOrder.Asc
});
const getNextPageParam = (pageInfo) => {
  if (pageInfo && pageInfo.page && pageInfo.size && pageInfo.page < pageInfo.size) {
    return pageInfo.page;
  }
  return void 0;
};
const useInfiniteGraphQLQuery = (useQuery2, getVariables, options) => {
  const environment = useEnvironment();
  const {
    instance,
    accounts
  } = useMsal();
  const graphQLClient = useGraphQLClient();
  return useInfiniteQuery(useQuery2.getKey(getVariables({})), async ({
    pageParam
  }) => {
    const accessToken = await getAccessToken(environment, instance, accounts[0]);
    graphQLClient.setHeader("authorization", `Bearer ${accessToken}`);
    return graphQLClient.request(useQuery2.document, getVariables({
      pageParam
    }));
  }, options);
};
const ReceiptsFragmentDoc = `
    fragment Receipts on Receipt {
  id
  storeName
  receiptDate
  file
  fileInfo {
    url
    type
    name
  }
  isUploadSuccessful
  total {
    amount
    currency
  }
  updatedAt
  createdAt
}
    `;
const GetReceiptsDocument = `
    query getReceipts($limit: Int, $offset: Int) {
  receipts(limit: $limit, offset: $offset, sort: {receiptDate: DESC}) {
    nodes {
      ...Receipts
    }
    pageInfo {
      page
      size
      total
    }
  }
}
    ${ReceiptsFragmentDoc}`;
const useGetReceiptsQuery = (variables, options) => useQuery(variables === void 0 ? ["getReceipts"] : ["getReceipts", variables], useGraphQLRequest(GetReceiptsDocument).bind(null, variables), options);
useGetReceiptsQuery.document = GetReceiptsDocument;
useGetReceiptsQuery.getKey = (variables) => variables === void 0 ? ["getReceipts"] : ["getReceipts", variables];
const GetReceiptDocument = `
    query getReceipt($id: String!) {
  receipt(id: $id) {
    ...Receipts
  }
}
    ${ReceiptsFragmentDoc}`;
const useGetReceiptQuery = (variables, options) => useQuery(["getReceipt", variables], useGraphQLRequest(GetReceiptDocument).bind(null, variables), options);
useGetReceiptQuery.document = GetReceiptDocument;
useGetReceiptQuery.getKey = (variables) => ["getReceipt", variables];
const useReceiptList = (locale, t, receipts) => {
  const formatPriceAmount = useFormatPriceAmount();
  return receipts == null ? void 0 : receipts.reduce((sections, receipt) => {
    const date = parseISO(receipt.receiptDate);
    const sectionTitle2 = isThisYear(date) ? format(date, "MMMM", {
      locale
    }) : format(date, "MMMM yyyy", {
      locale
    });
    const currentItem = sections.find((section) => section.title === sectionTitle2);
    const receiptAmount = formatPriceAmount(receipt.total.amount, receipt.total.currency);
    const receiptDate = formatDate(receipt.receiptDate, "dd/MM/yyyy");
    const accessibleDate = formatDate(receipt.receiptDate, "PPPP", locale);
    const formattedReceipt = {
      title: receipt.storeName,
      body: [receiptDate],
      action: jsx(Chevron, {
        text: receiptAmount
      }),
      route: {
        href: receipt.id,
        ariaLabel: t("profile.receipts.overview.link", {
          storeName: receipt.storeName,
          amount: receiptAmount,
          date: accessibleDate
        })
      },
      variant: "link"
    };
    if (Array.isArray(currentItem == null ? void 0 : currentItem.listItems)) {
      currentItem == null ? void 0 : currentItem.listItems.push(formattedReceipt);
    } else {
      sections.push({
        title: sectionTitle2,
        ariaLabel: sectionTitle2,
        listItems: [formattedReceipt]
      });
    }
    return sections;
  }, []);
};
const LIMIT = 20;
const useGetReceipts = () => {
  const {
    t
  } = useTranslation("web");
  const locale = useLocale();
  const [receipts, setReceipts] = m();
  const formattedReceipts = useReceiptList(locale, t, receipts);
  const {
    data,
    isError,
    isLoading,
    isSuccess,
    hasNextPage: hasNextPage2,
    fetchNextPage
  } = useInfiniteGraphQLQuery(useGetReceiptsQuery, ({
    pageParam = 0
  }) => getInfiniteQueryVariables({
    pageParam,
    limit: LIMIT
  }), {
    getNextPageParam: ({
      receipts: {
        pageInfo
      }
    }) => getNextPageParam(pageInfo)
  });
  y(() => {
    if (isSuccess && data)
      setReceipts(data.pages.flatMap((page) => page.receipts.nodes));
  }, [isSuccess, data]);
  return {
    formattedReceipts,
    receipts,
    isLoading,
    isError,
    isSuccess,
    hasNextPage: hasNextPage2,
    fetchNextPage
  };
};
const loader = "_loader_vu30a_1";
const spacing = "_spacing_vu30a_16";
const receiptList = "_receiptList_vu30a_52";
var styles = {
  loader,
  spacing,
  receiptList
};
const Overview = () => {
  const {
    t
  } = useTranslation("web");
  const headerProps = {
    title: t("profile.receipts.title"),
    goBackLinkProps: {
      to: "/",
      label: t("profile.navigation.title")
    }
  };
  const breakpoint = useBreakpoint();
  const {
    formattedReceipts,
    receipts,
    isLoading,
    isError,
    isSuccess,
    hasNextPage: hasNextPage2,
    fetchNextPage
  } = useGetReceipts();
  return jsxs(ProfilePage, {
    headerProps,
    isLoading,
    isError,
    children: [isSuccess && receipts && !receipts.length && jsx(EmptyState, {
      illustration: jsx(SvgPromos, {
        role: "presentation"
      }),
      title: t("profile.receipts.overview.emptyState.heroMessage"),
      description: t("profile.receipts.overview.emptyState.bodyCopy")
    }), isSuccess && receipts && !!(formattedReceipts == null ? void 0 : formattedReceipts.length) && jsxs(Fragment, {
      children: [breakpoint === "desktop" && jsx("span", {
        class: styles.spacing
      }), jsx(InfiniteScroll, {
        dataLength: receipts.length,
        hasMore: !!hasNextPage2,
        next: fetchNextPage,
        loader: jsx(ActivityIndicator, {
          className: styles.loader
        }),
        scrollThreshold: 0.7,
        style: {
          overflow: "visible"
        },
        children: breakpoint !== "desktop" ? jsx(List, {
          ariaLabel: t("profile.receipts.title"),
          sections: formattedReceipts,
          shouldStickySectionTitle: true
        }) : jsx(NavigationTable, {
          className: "card",
          ariaLabel: t("profile.receipts.title"),
          sections: formattedReceipts,
          shouldStickySectionTitle: true
        })
      })]
    })]
  });
};
const Detail = F(() => import("./index22.js"));
const Receipts = () => jsx(L, {
  fallback: jsx(RouteFallback, {}),
  children: jsxs(Routes, {
    children: [jsx(Route, {
      path: "/",
      element: jsx(Overview, {})
    }), jsx(Route, {
      path: ":id",
      element: jsx(Detail, {})
    })]
  })
});
var index = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  "default": Receipts
}, Symbol.toStringTag, { value: "Module" }));
export { index as i, useGetReceiptQuery as u };
